0
Найти на сайте: параметры поиска

 

 

Способ ручного обновления LinuxMint 17.3 до 18

[Unofficial]
  
Сообщений: 0
sudo apt-get inst +tab
Нафига вот это? Набери
Код PHP:
  1. sudo apt-get update
и посмотри как пройдёт.
Сообщений: 0
Я в предыдущем посте привел результат update-upgrade.
Кнопка [Tab] раньше завершала набор команд и большинства параметров и опций. А теперь только команду.
Я уже привык. Рою настройки, но пока ничего про dash не нашел, кроме указанной выше ссылки /bin/sh.
Приложение "источники приложений" так и не хочет запускаться.
Сообщений: 0
Спасибо за внимание.
Завтра продолжу изыскания. laugh
Сообщений: 0
Набери терминале software-sources , что скажет?
Сообщений: 0
Код PHP:
  1. $ software-sources
  2. File "/usr/lib/linuxmint/mintSources/mintSources.py", line 1534, in <module>
  3. Application().run()
  4. File "/usr/lib/linuxmint/mintSources/mintSources.py", line 704, in __init__
  5. if self.config["general"]["use_ppas"] == "false":
  6. KeyError: 'general'
  7.  
Сообщений: 0
А скопируйте в файл /etc/apt/sources.list.d/official-package-repositories.list то, что написано в шапке:

Код PHP:
  1. deb http://packages.linuxmint.com sarah main upstream import backport
  2. deb http://archive.ubuntu.com/ubuntu xenial main restricted universe multiverse
  3. deb http://archive.ubuntu.com/ubuntu xenial-updates main restricted universe multiverse
  4. deb http://archive.ubuntu.com/ubuntu xenial-backports main restricted universe multiverse
  5.  
  6. deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
  7. deb http://archive.canonical.com/ubuntu/ xenial partner
Затем sudo apt-get update и покажите вывод, не должно быть ошибок, вообще. Затем обновляем систему до конца sudo apt-get dist-upgrade -f Должно заработать.
Сообщений: 0
С репозиториями уже поладил. Я взял текст из шапки, добавил к deb "-src" и этот список вставил в ...sources...
С автозавершением по [Tab] тоже разобрался. Решение здесь
Редактировалось: 1 раз (Последний: 11 июля 2016 в 23:20)
Сообщений: 0
как убрать эту грёбаную рекламу, которая треть экрана занимает и не доступны ссылки в правой части страницы?
Сообщений: 0
Nikulin71:

А скопируйте в файл /etc/apt/sources.list.d/official-package-repositories.list то, что написано в шапке:

Код PHP:
  1. deb http://packages.linuxmint.com sarah main upstream import backport
  2. deb http://archive.ubuntu.com/ubuntu xenial main restricted universe multiverse
  3. deb http://archive.ubuntu.com/ubuntu xenial-updates main restricted universe multiverse
  4. deb http://archive.ubuntu.com/ubuntu xenial-backports main restricted universe multiverse
  5.  
  6. deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
  7. deb http://archive.canonical.com/ubuntu/ xenial partner
Затем sudo apt-get update и покажите вывод, не должно быть ошибок, вообще. Затем обновляем систему до конца sudo apt-get dist-upgrade -f Должно заработать.

Всё так и сделал. update-upgrade проходят чисто, без замечаний, но "источники приложений" всё равно не открываются.
Сообщений: 0
AndreyNag, software-sources - именно так называется прога "источники приложений" и у меня она так же запускается , как и из меню. Я бы предложил -
Код PHP:
  1. sudo apt-get install --reinstall software-sources
PS. Реклама не убирается.
Редактировалось: 1 раз (Последний: 12 июля 2016 в 05:48)
Сообщений: 832
jive:
colonel:
Менеджера обновлений, который сделал бы все за нас не существует
"Видишь суслика? — Нет. — И я не вижу. А он есть!..."(С)....
ждём обновления данных для апдатера и... механизм включится

в смысле - через некоторое время можно будет через менеджер обновлений установить 18? У меня сейчас на одном из компов 17.1, предлагает обновиться до 17.3. Вот думаю, переставлять вообще систему, обновляться "вручную"... или вскоре появится версия mintupdate, которая сама все сделает?
угу в том именно смысле
емнип таковой механизм имеется в апдатере и был обкатан на минт17 при обновлениях версий (на форуме это озвучивалось на "разборках" выхода версии 17.* ). И собсно и вас "сейчас на одном из компов 17.1, предлагает обновиться до 17.3"
До 18 версии всёж лучше обновляться с 17.3 , а не с 17.1 , но не вижу смысла в двойном обновлении тем более в "ручную" , как в этой теме расписано.
куда быстрее по времени пройдёт "обновление" и меньше косяков будет вылазить если просто поставить минт 18 "поверх" установленной системы , то есть провести установку минт18 на тот же раздел без его форматирования указав при установке тот те аккаунт(ник) и тот же пароль что и был. (даже если дом.катадлог не вынесен на отдельный раздел) ..

Nikulin71:
Обновление проводится, чтобы нормально установился менеджер новый пакетов apt.
и какой же "новый менеджер пакетов apt" надо было первым дистапградером ставить?

проверил что было у мну уже было установлено при стандартном обновлении в штатном mintupdate в минт17.3 - там уже была та самая версия пакетного манагера до которой в указанной статье ( http://losst.ru/kak-obnovit-linux-mint-17-3-do-18 ) надо было обновиться и доустановиться - 1.2.12-......16.04.1
"Не ты выбираешь Linux, а Linux выбирает тебя"
(с)Себастьян Перейра, торговец чёрным деревом
Сообщений: 0
symon2014:
Я бы предложил -
Код PHP:
  1. $ sudo apt-get install --reinstall software-sources
  2. [sudo] пароль для andrey:
  3. Чтение списков пакетов… Готово
  4. Построение дерева зависимостей
  5. Чтение информации о состоянии… Готово
  6. E: Не удалось найти пакет software-sources
  7.  
Кстати, эксперимент с исправлением ссылки /bin/sh dash на bash окончился неудачей. Перестал загружаться личный профиль. Ошибка в синтаксисе скриптов. Символ "<" стал по другому интерпретироваться. Пришлось возвращать dash назад.
Сообщений: 0
А если просто
Код PHP:
  1. sudo apt-get install software-sources
Сообщений: 0
нет такого пакета
Сообщений: 0
AndreyNag, Как это нет? просто тогда
Код PHP:
  1. sudo apt-get install software-sources
Ведь он выдаёт ошибку на этот пакет, или ты что то мутишь.
$ software-sources File "/usr/lib/linuxmint/mintSources/mintSources.py", line 1534, in <module> Application().run() File "/usr/lib/linuxmint/mintSources/mintSources.py", line 704, in __init__ if self.config["general"]["use_ppas"] == "false": KeyError: 'general'
Это откуда?
Редактировалось: 1 раз (Последний: 12 июля 2016 в 20:15)
В начало страницы 
|
Перейти на форум:
Быстрый ответ
Чтобы писать на форуме, зарегистрируйтесь или авторизуйтесь.